| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
cv::rapid::Rapid Class Reference
silhouette based 3D object tracking

wrapper around silhouette based 3D object tracking function for uniform access More...

`#include <opencv2/rapid.hpp>`

Collaboration diagram for cv::rapid::Rapid:

## Static Public Member Functions
static Ptr< Rapid > | create (InputArray pts3d, InputArray tris)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Public Member Functions inherited from cv::rapid::Tracker
virtual | ~Tracker ()
virtual void | clearState ()=0
virtual float | compute (InputArray img, int num, int len, InputArray K, InputOutputArray rvec, InputOutputArray tvec, const TermCriteria &termcrit=TermCriteria(TermCriteria::MAX_ITER|TermCriteria::EPS, 5, 1.5))=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

wrapper around silhouette based 3D object tracking function for uniform access

## Member Function Documentation

## ◆ create()

static Ptr< Rapid > cv::rapid::Rapid::create | ( | InputArray | pts3d,
|  | InputArray | tris )
| static

Python:
| cv.rapid.Rapid.create( | pts3d, tris | ) -> | retval
| cv.rapid.Rapid_create( | pts3d, tris | ) -> | retval

The documentation for this class was generated from the following file:

- opencv2/rapid.hpp